> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grant Templates

> Lists org grant templates with vesting/lockup items and referencing grants flagged for settlements.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-grant-templates
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-grant-templates:
    get:
      operationId: getGrantTemplates
      summary: Get Grant Templates
      description: >-
        Lists org grant templates with vesting/lockup items and referencing
        grants flagged for settlements.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGrantTemplatesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGrantTemplatesResponse:
      type: array
      items:
        type: object
        properties:
          orgID:
            type:
              - string
              - 'null'
          createdAt:
            type:
              - string
              - 'null'
          templateName:
            type:
              - string
              - 'null'
          grantTemplateID:
            type:
              - string
              - 'null'
          templateDescription:
            type:
              - string
              - 'null'
          frequencyType:
            type:
              - string
              - 'null'
          lockupFrequencyType:
            type:
              - string
              - 'null'
          daysBetweenVestingAndFirstLockup:
            type:
              - number
              - 'null'
          lockupStartDate:
            type:
              - string
              - 'null'
          eomLogic:
            type:
              - boolean
              - 'null'
          roundToWholeTokens:
            type:
              - boolean
              - 'null'
          vestingTemplateItems:
            type:
              - array
              - 'null'
            items:
              type: object
              properties:
                vestingTemplateItemID:
                  type:
                    - string
                    - 'null'
                grantTemplateID:
                  type:
                    - string
                    - 'null'
                orgID:
                  type:
                    - string
                    - 'null'
                ratio:
                  type:
                    - string
                    - 'null'
                sequence:
                  type:
                    - number
                    - 'null'
                isOffPlatform:
                  type:
                    - boolean
                    - 'null'
                timeFrameUnit:
                  type:
                    - number
                    - 'null'
                createdAt:
                  type:
                    - string
                    - 'null'
                preferredDate:
                  type:
                    - string
                    - 'null'
          lockupTemplateItems:
            type:
              - array
              - 'null'
            items:
              type: object
              properties:
                lockupTemplateItemID:
                  type:
                    - string
                    - 'null'
                grantTemplateID:
                  type:
                    - string
                    - 'null'
                orgID:
                  type:
                    - string
                    - 'null'
                ratio:
                  type:
                    - string
                    - 'null'
                sequence:
                  type:
                    - number
                    - 'null'
                timeFrameUnit:
                  type:
                    - number
                    - 'null'
                createdAt:
                  type:
                    - string
                    - 'null'
                preferredDate:
                  type:
                    - string
                    - 'null'
          grants:
            type:
              - array
              - 'null'
            items:
              type: object
              properties:
                grantName:
                  type:
                    - string
                    - 'null'
                grantID:
                  type:
                    - string
                    - 'null'
                vestings:
                  type:
                    - array
                    - 'null'
                  items:
                    type: object
                    properties:
                      vestingID:
                        type:
                          - string
                          - 'null'
                lockups:
                  type:
                    - array
                    - 'null'
                  items:
                    type: object
                    properties:
                      lockupID:
                        type:
                          - string
                          - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
